<template>
    <div class="page">
        <LayoutTable :data="tableData" notAdd notDel notSearch :config="tableConfig">
                    </LayoutTable>

        <dialog-show ref="dialogform" @ok="getData" />
    </div>
</template>

<script>
    /** 表单弹出框模式需引入 */
    import dialogShow from "./dialogshow";
    import table from "@/assets/mixins/table";
    export default {
        name: "Product",
        components: {dialogShow },
        mixins: [table],
        created() {
        },
        methods: {

            /** 重写新增方法 */
            toAdd(row) {
                this.$refs.dialogform.add(row);
            },
            /** 重写编辑方法 */
            toEdit(row) {
                this.$refs.dialogform.edit(row);

            },
            /** 重写查看方法 */
            // toView(row) {
            //     this.$refs.dialogform.view(row);
            // },

        },
        data() {
            return {
                config: {
                    search: [
                    ],
                    columns: [
                    
                        {label: "产品名称", prop: "productName"},

                        {label: "产品编码", prop: "productCode"},
            
                    ]
                }
            };
        }
    };
</script>